# {{ ansible_managed }}
[connection]
id={{ wireguard.connection.id }}
type=wireguard
autoconnect=false
interface-name={{ wireguard.connection.iface_name }}
uuid={{ (ansible_hostname + wireguard.connection.id) | to_uuid }}
{# uuid must be determinate for template to not overwrite on every run. #}
zone={{ wireguard.connection.firewall_zone }}
[wireguard]
listen-port={{ wireguard.interface.port }}
private-key={{ wireguard.private_key | default('', true) }}

{% for peer in wireguard.peers %}
[wireguard-peer.{{ peer.public_key }}]
endpoint={{ peer.endpoint }}
{% if peer.persistent_keepalive is defined %}
persistent-keepalive={{ peer.persistent_keepalive }}
{% endif %}
allowed-ips={{ peer.allowed_ips }}
{% endfor %}

[ipv4]
method=manual
address1={{ wireguard.interface.address }}

[ipv6]
method=disabled
